Skip to main content

Verify External Account

Suggest Edits


Overview

Submit the two micro-deposit credit amounts provided by the customer to verify an external account.


Resource Access

Production (api.ahrvo.network)

POST https://api.ahrvo.network/banking/us2/v1/customer/id/{customerId}/externalAccount/id/{externalAccountId}/verify

Staging (gateway.ahrvo.network)

POST https://gateway.ahrvo.network/banking/us2/v1/customer/id/{customerId}/externalAccount/id/{externalAccountId}/verify

Arguments

FieldRequiredNotes
microDeposit.creditAmount.amount1YesFirst credited amount (e.g., 0.95)
microDeposit.creditAmount.amount2YesSecond credited amount (e.g., 0.48)

Example Request (production)

POST /banking/us2/v1/customer/id/4052981/externalAccount/id/2/verify HTTP/1.1
Host: api.ahrvo.network
Authorization: Bearer {jwtToken}
x-api-key: {apiKey}
Content-Type: application/json
{
"microDeposit": {
"creditAmount": {
"amount1": "0.95",
"amount2": "0.48"
}
}
}

(For staging, replace api.ahrvo.network with gateway.ahrvo.network.)


Example Response

HTTP/1.1 204 OK

OpenAPI Specification